{
  "name": "eritorsscribe",
  "productName": "ERitors Scribe",
  "version": "1.0.0",
  "type": "module",
  "main": "dist/electron/main.js",
  "scripts": {
    "dev": "tsc -p tsconfig.electron.json && tsc -p tsconfig.preload.json && concurrently \"tsc -p tsconfig.electron.json -w\" \"tsc -p tsconfig.preload.json -w\" \"next dev -p 4000\" \"wait-on http://localhost:4000 && wait-on dist/electron/main.js && electron dist/electron/main.js\"",
    "build:mac": "next build && tsc --project tsconfig.electron.json && tsc --project tsconfig.preload.json && electron-builder build --mac",
    "build:win": "next build && tsc --project tsconfig.electron.json && tsc --project tsconfig.preload.json && electron-builder build --win",
    "build:linux": "next build && tsc --project tsconfig.electron.json && tsc --project tsconfig.preload.json && electron-builder build --linux",
    "build:all": "next build && tsc --project tsconfig.electron.json && tsc --project tsconfig.preload.json && electron-builder build --mac --win --linux"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "description": "",
  "devDependencies": {
    "@types/electron-store": "^1.3.1",
    "@types/js-cookie": "^3.0.6",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^24.10.1",
    "@types/react": "^19.2.5",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^5.1.1",
    "concurrently": "^9.2.1",
    "electron": "^39.2.1",
    "electron-builder": "^26.0.12",
    "electron-rebuild": "^3.2.9",
    "electronmon": "^2.0.4",
    "tsx": "^4.20.6",
    "typescript": "^5.9.3",
    "vite": "^7.2.2",
    "vite-plugin-electron-renderer": "^0.14.6",
    "wait-on": "^9.0.3"
  },
  "dependencies": {
    "@emotion/css": "^11.13.5",
    "@fortawesome/fontawesome-svg-core": "^7.1.0",
    "@fortawesome/free-brands-svg-icons": "^7.1.0",
    "@fortawesome/free-regular-svg-icons": "^7.1.0",
    "@fortawesome/free-solid-svg-icons": "^7.1.0",
    "@fortawesome/react-fontawesome": "^3.1.0",
    "@tailwindcss/postcss": "^4.1.17",
    "@tiptap/extension-color": "^3.10.7",
    "@tiptap/extension-gapcursor": "^3.10.7",
    "@tiptap/extension-highlight": "^3.10.7",
    "@tiptap/extension-text-align": "^3.10.7",
    "@tiptap/extension-underline": "^3.10.7",
    "@tiptap/react": "^3.10.7",
    "@tiptap/starter-kit": "^3.10.7",
    "antd": "^5.28.1",
    "autoprefixer": "^10.4.22",
    "axios": "^1.13.2",
    "electron-store": "^11.0.2",
    "i18next": "^25.6.2",
    "js-cookie": "^3.0.5",
    "next": "^16.0.3",
    "next-export-i18n": "^2.4.3",
    "next-intl": "^4.5.3",
    "node-sqlite3-wasm": "^0.8.51",
    "postcss": "^8.5.6",
    "react": "^19.2.0",
    "react-dom": "^19.2.0",
    "react-i18next": "^16.3.3",
    "react-router-dom": "^7.9.6",
    "react-slick": "^0.31.0",
    "tailwindcss": "^4.1.17"
  },
  "build": {
    "appId": "com.eritors.scribe.desktop",
    "productName": "ERitors Scribe",
    "files": [
      "dist/**/*",
      "out/**/*",
      "build/**/*",
      "package.json"
    ],
    "asarUnpack": [
      "out/**/*"
    ],
    "directories": {
      "output": "release"
    },
    "mac": {
      "icon": "build/icons/mac/icon.icns",
      "target": [
        "dmg",
        "zip"
      ],
      "category": "public.app-category.productivity",
      "hardenedRuntime": true,
      "gatekeeperAssess": false,
      "entitlements": "build/entitlements.mac.plist",
      "entitlementsInherit": "build/entitlements.mac.plist"
    },
    "win": {
      "icon": "build/icons/win/icon.ico",
      "target": [
        {
          "target": "nsis",
          "arch": [
            "x64",
            "ia32"
          ]
        }
      ]
    },
    "linux": {
      "icon": "build/icons/png",
      "target": [
        "AppImage",
        "deb"
      ],
      "category": "Utility"
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true
    }
  }
}
